curl --request GET \
--url https://api.pruff.com/api/clients/crm/activities \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pruff.com/api/clients/crm/activities"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pruff.com/api/clients/crm/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/crm/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/crm/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pruff.com/api/clients/crm/activities")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/crm/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 15420,
"businessIdentifier": "76111111-6",
"businessName": "Comercial Ejemplo SpA",
"type": "MEETING",
"status": "COMPLETED",
"description": "Reunión de cierre",
"executiveName": "Ana Pérez",
"executiveEmail": "ana.perez@example.com",
"completedByName": "Ana Pérez",
"completedByEmail": "ana.perez@example.com",
"createdAt": "2026-10-01T14:00:00.000Z",
"deadline": "2026-10-03T15:00:00.000Z",
"completedAt": "2026-10-03T16:10:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"pageSize": 10,
"totalPages": 1
}
}Obtener gestiones comerciales
Obtiene las gestiones comerciales registradas en el CRM: llamados, correos, reuniones, notas, simulaciones enviadas y otras, con su estado, el ejecutivo responsable y sus fechas. Son las mismas gestiones de la pestaña Gestiones del CRM; las gestiones de cobranza no aparecen.
Ves todas las gestiones de tu empresa, sin importar el ejecutivo. Los filtros se combinan con una condición “y”. Las fechas de los filtros (startDate, endDate, dueDateFrom, dueDateTo) son días en hora de Chile y el día de término se incluye completo. Si usas dueDateFrom o dueDateTo, las gestiones sin fecha límite no aparecen.
Los registros vienen ordenados desde la gestión creada más recientemente. El servicio está paginado y el tamaño máximo de página es 500. Cualquier query param que no esté en esta lista responde un error 400.
curl --request GET \
--url https://api.pruff.com/api/clients/crm/activities \
--header 'x-api-key: <api-key>'import requests
url = "https://api.pruff.com/api/clients/crm/activities"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.pruff.com/api/clients/crm/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/crm/activities",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/crm/activities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pruff.com/api/clients/crm/activities")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/crm/activities")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 15420,
"businessIdentifier": "76111111-6",
"businessName": "Comercial Ejemplo SpA",
"type": "MEETING",
"status": "COMPLETED",
"description": "Reunión de cierre",
"executiveName": "Ana Pérez",
"executiveEmail": "ana.perez@example.com",
"completedByName": "Ana Pérez",
"completedByEmail": "ana.perez@example.com",
"createdAt": "2026-10-01T14:00:00.000Z",
"deadline": "2026-10-03T15:00:00.000Z",
"completedAt": "2026-10-03T16:10:00.000Z"
}
],
"pagination": {
"total": 1,
"page": 1,
"pageSize": 10,
"totalPages": 1
}
}